if not srb2p return end
freeslot("sfx_ducfrm", "sfx_duhrt", "sfx_duhslf", "sfx_duskil", "sfx_duitem", "sfx_duxhrt", "sfx_duheal", "sfx_du1mre", "sfx_dudodg", "sfx_duwin", "sfx_dulup", "sfx_dumiss", "sfx_ducrit", "sfx_dumask",  "sfx_dumdo", "sfx_durlnt")

VFX_freeslotC("dummie")
charStats["dummie"] = {

		name = "Dummie",		
		basehp = 75,			
		basesp = 40,			
		persona = "dummie",
		melee_natk = "dumstrike",
		atk = 18,	
		acc = 80,	
		crit = 2,	

		anim_stand = 		{SPR_PLAY, A, 1, "SPR2_STND"},
		anim_stand_hurt =	{SPR_PLAY, A, 1, "SPR2_STND"},
		anim_stand_bored =	{SPR_PLAY, A, B, A, B, A, B, A, B, 15, "SPR2_WAIT"},
		anim_guard = 		{SPR_PLAY, A, 1, "SPR2_WALK"},
		anim_move =			{SPR_PLAY, A, B, C, D, E, F, G, H, 2, "SPR2_WALK"},
		anim_run =			{SPR_PLAY, A, B, C, D, 2, "SPR2_RUN_"},
		anim_atk =			{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},
		anim_aoa_end =		{SPR_PLAY, A, 1, "SPR2_FALL"},
		anim_hurt =			{SPR_PLAY, A, 20, "SPR2_PAIN"},	
		anim_getdown =		{SPR_PLAY, A, 1, "SPR2_SHIT"},
		anim_downloop =		{SPR_PLAY, A, 1, "SPR2_SHIT"},	
		anim_getup =		{SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},	
		anim_death =		{SPR_PLAY, A, 30, "SPR2_DEAD"},	
		anim_revive =		{SPR_PLAY, A, B, C, G, G, G, G, G, G, G, G, G, G, G, G, G, G, 2, "SPR2_TRNS"},		-- gets revived
		anim_evoker =		{SPR_PLAY, A, 1, "SPR2_WAIT"},
		anim_evoker_shoot =	{SPR_PLAY, A, B, C, D, 2, "SPR2_SPIN"},
		anim_special1 = {SPR_PLAY, A, B, C, D, 1, "SPR2_ROLL"},

		anim_stand_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},
		anim_stand_hurt_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},
		anim_stand_bored_super = 	{SPR_PLAY, A, B, A, B, 4, "SPR2_WAIT"},
		anim_run_super = 	{SPR_PLAY, A, B, 2, "SPR2_RUN_"},
		anim_evoker_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},
		anim_evoker_shoot_super = 	{SPR_PLAY, A, 4, "SPR2_STND"},


		vfx_summon = {},
        vfx_skill = {"sfx_duskil"},
        vfx_item = {"sfx_duitem"},
        vfx_hurt = {"sfx_duhit"},
        vfx_hurtx = {"sfx_duxhrt"},	
        vfx_die = {},
        vfx_heal = {"sfx_duheal"},
        vfx_healself = {"sfx_duhslf"},
        vfx_kill = {"sfx_dulup"},
        vfx_1more = {"sfx_du1mre"},	
        vfx_crit = {"sfx_ducrit"},
        vfx_aoaask = {"sfx_dumask"},
        vfx_aoado = {"sfx_dumdo"},
        vfx_aoarelent = {"sfx_durlnt"},	
        vfx_miss = {"sfx_dumiss"},
        vfx_dodge = {"sfx_dudodg"},	
        vfx_win = {"sfx_duwin"},
        vfx_levelup = {"sfx_dulup"}, 



		icon = "ICO_DUMM",
		hudbust = "DUM_H",
		hudaoa = "H_DUMAOA",
		hudcutin = "DUMM_A",
		hudspr = "DUMM",
		aoa_quote = "(Dummie's eager to go \nall out!)",
					
		tip = "Learns Fire, Bless, and Strike attacks. \nDespite having high HP, speed, and \ndefense, Dummie's strength is quite low. \nHis total SP makes up for that, \nhowever.",
}		     

personaList["dummie"] = {
		-- GENERAL
		name = "dummie",
		arcana = ARCANA_MAGICIAN, 
		sprite = SPR_PSN0,		
		startframe = 0,	
		anim_idle = 	{SPR_NULL, A},
		anim_atk = 		{SPR_NULL, A},

		-- Stats
		strength = 5,
		magic = 5,
		endurance = 7,
		luck = 3,
		agility = 12,
		weak = ATK_PIERCE|ATK_NUCLEAR,
		resist = ATK_ELEC|ATK_BLESS,

		skills = {
					{"agi", 1}, {"lunge", 1},
					{"kouha", 12}, {"maragi", 16},

					{"kill rush", 18, "lunge"}, {"agilao", 21, "agi"},
					{"agneyastra", 30, "kouha"},
					{"maragion", 34, "maragi"}, 
					{"invigorate 1", 40}, 
					{"makouga", 43, "kouga"},
					{"akasha arts", 50, "agneyastra"},
					{"agidyne", 55, "agilao"},  {"invigorate 2", 60, "invigorate 1"},
					{"gigantic fish", 63}, // :)
					{"maragidyne", 65, "maragion"}, {"makougaon", 70,"makouga"},
				},
}

attackDefs["dumstrike"] = {
		name = "Spin Strike",
		type = ATK_STRIKE,
		power = 35,
		accuracy = 85,
		critical = 6,
		target = TGT_ENEMY,
		cost = CST_HP,
		cost = 0,
		desc = "A fierce spin dive.",
		anim_norepel = true,
		physical = true,
		anim = 	function(mo, targets, hittargets, timer)
					local target = targets[1]
					local atarget = hittargets[1]
					if timer == 1
						ANIM_set(mo, mo.anim_run, true)
						mo.reachedtarget = false
						mo.canjump = true
						local cx = target.x + 168*cos(target.angle + ANG1*60)
						local cy = target.y + 168*sin(target.angle + ANG1*30)
						CAM_goto(server.P_BattleStatus[mo.battlen].cam, cx, cy, target.z + FRACUNIT*40, 70*FRACUNIT)
						CAM_angle(server.P_BattleStatus[mo.battlen].cam, R_PointToAngle2(cx, cy, target.x, target.y))
						S_StartSound(mo, sfx_zoom)
					end
					
					if not mo.reachedtarget
						mo.angle = R_PointToAngle2(mo.x, mo.y, target.x, target.y)
						P_InstaThrust(mo, mo.angle, FRACUNIT*25)
						if R_PointToDist2(mo.x, mo.y, target.x, target.y) < FRACUNIT*300
						and mo.canjump
							mo.canjump = false
							mo.momz = 3*FRACUNIT
							ANIM_set(mo, mo.anim_atk, true)
							S_StartSound(mo, sfx_jump)
						end
						if R_PointToDist2(mo.x, mo.y, target.x, target.y) < FRACUNIT*36
							mo.reachedtarget = true
							P_InstaThrust(mo, mo.angle, -FRACUNIT*6)
							mo.momz = 8*FRACUNIT
							damageObject(atarget)
							P_StartQuake(FRACUNIT*7, 4)
							playSound(mo.battlen, sfx_phys)
							S_StartSound(mo, sfx_spin)
						end
					elseif (timer == 60)
						return true
					end
				end,
	critanim = 	function(mo, targets, hittargets, timer)
					local target = targets[1]
					local atarget = hittargets[1]
					if timer == 1
						ANIM_set(mo, mo.anim_run, true)
						mo.reachedtarget = false

						local cx = target.x + 168*cos(target.angle + ANG1*20)
						local cy = target.y + 168*sin(target.angle + ANG1*20)
						CAM_goto(server.P_BattleStatus[mo.battlen].cam, cx, cy, target.z + FRACUNIT*30, 70*FRACUNIT)
						CAM_angle(server.P_BattleStatus[mo.battlen].cam, R_PointToAngle2(cx, cy, target.x, target.y))
						S_StartSound(mo, sfx_zoom)
					end

					if not mo.reachedtarget
						mo.angle = R_PointToAngle2(mo.x, mo.y, target.x, target.y)
						P_InstaThrust(mo, mo.angle, FRACUNIT*25)
						if R_PointToDist2(mo.x, mo.y, target.x, target.y) < FRACUNIT*300
						and mo.canjump
							mo.canjump = false
							mo.momz = 3*FRACUNIT
							ANIM_set(mo, mo.anim_atk, true)
							S_StartSound(mo, sfx_jump)
						end
						if R_PointToDist2(mo.x, mo.y, target.x, target.y) < FRACUNIT*36
							ANIM_set(mo, mo.anim_atk, true)
							P_StartQuake(FRACUNIT*8, 4)
							mo.reachedtarget = true
							P_InstaThrust(mo, mo.angle, -FRACUNIT*7)
							mo.momz = 8*FRACUNIT
							playSound(mo.battlen, sfx_phys)
							for i = 1, 2
								createSplat(mo)
							end
						end
					else
						if P_IsObjectOnGround(mo)
						and not mo.momz
						and not mo.damagetime
							-- move camera instantly
							local cam = server.P_BattleStatus[mo.battlen].cam

							local cx = mo.x + 128*cos(mo.angle - ANG1*25)
							local cy = mo.y + 128*sin(mo.angle - ANG1*25)
							P_TeleportMove(cam, cx, cy, mo.z + FRACUNIT*16)
							server.P_BattleStatus[mo.battlen].cam.angle = R_PointToAngle2(cam.x, cam.y, mo.x, mo.y)

							--make it zoom out a little
							CAM_goto(cam, cam.x-24*cos(cam.angle), cam.y-24*sin(cam.angle), cam.z+FRACUNIT*5, 1*FRACUNIT)

							mo.damagetime = 1
							mo.momx, mo.momy, mo.momz = 0, 0, 0 -- stop momentum, start spindash
							ANIM_set(mo, mo.anim_special1, true)
							S_StartSound(mo, sfx_s260)
						elseif mo.damagetime
							mo.damagetime = $+1
							-- rev animation
							if mo.damagetime == 13 or mo.damagetime == 21 or mo.damagetime == 28
								mo.rev = $ and $+1 or 1
								S_StartSound(mo, sfx_s260)
								ANIM_set(mo, mo.rev == 3 and mo.anim_special2 or mo.anim_special1, true)
							end
							-- start spindash
							if mo.damagetime >= 35
								if mo.damagetime == 35 -- nyoom
									-- camera
									local cx = target.x + 512*cos(target.angle + ANG1*20)
									local cy = target.y + 512*sin(target.angle + ANG1*20)
									CAM_goto(server.P_BattleStatus[mo.battlen].cam, cx, cy, target.z + FRACUNIT*30, 128*FRACUNIT)
									CAM_angle(server.P_BattleStatus[mo.battlen].cam, R_PointToAngle2(cx, cy, target.x, target.y), ANG1*16)

									S_StartSound(mo, sfx_zoom)
									P_InstaThrust(mo, mo.angle, FRACUNIT*120)
									ANIM_set(mo, mo.anim_atk, true)
								else
									local trail = P_SpawnMobj(mo.x, mo.y, mo.z, MT_DUMMY)
									trail.color = mo.color
									if mo.damagetime == 36
										damageObject(atarget)
										P_SetObjectMomZ(atarget, 5*FRACUNIT)
										P_StartQuake(FRACUNIT*12, 7)
										playSound(mo.battlen, sfx_phys)
										for i = 1, 4
											createSplat(mo)
										end
									elseif mo.damagetime == 85
										mo.rev = nil
										mo.reachedtarget = nil
										mo.damagetime = nil
										return true
									end
								end
							end
						end
					end
				end,
	}