freeslot("S_PLAY_GROOVE")
states[S_PLAY_GROOVE] = {SPR_PLAY, SPR2_CLMB, 3, nil, 0, 0, S_PLAY_GROOVE}

addHook("PlayerSpawn", function(player)
	player.dummiegroovin = false
	P_RestoreMusic(player)
	player.pflags = $1 & ~PF_FULLSTASIS
	if player.mo and player.mo.valid
	and player.mo.state == S_PLAY_GROOVE
		player.mo.state = S_PLAY_STND
	end
	if player.mo and player.mo.valid and player.mo.skin == "dummie"	
		if player.powers[pw_carry] != CR_NIGHTSMODE then player.mo.state = S_PLAY_STND end
	end
end)

addHook("ShouldJingleContinue", function(player, musname)
	if true return end
	if musname != "DUMDNC" return end
	if player and player.mo and player.mo.skin == "dummie" and player.dummiegroovin
		return true
	else
		return false
	end
end)

addHook("PlayerThink", function(player)
	if player.mo and player.mo.valid and player.mo.skin == "dummie"	
		if srb2p return end
		if CBW_Battle return end //stupid dumb shield swap & ring drop
		//Detect when we press Toss Flag
		if not (player.cmd.buttons & BT_TOSSFLAG)
			player.canpushflagdum = true
			player.pushingflagdum = false
		elseif player.canpushflagdum 
			player.pushingflagdum = true
			player.canpushflagdum = false
		else
			player.pushingflagdum = false
		end
		if G_IsSpecialStage()
		or player.panim == PA_PAIN
		or player.panim == PA_DEAD
		or player.mo.state == S_PLAY_DEAD
			player.canpushflagdum = false
			player.pushingflagdum = false
		end
		
		
		if player.dummiegroovin
			if not (P_IsObjectOnGround(player.mo))
			and player.mo.state != S_PLAY_ROLL and not player.mo.state != S_PLAY_SPINDASH
			

			or player.pushingflagdum
				if player.mo.state == S_PLAY_GROOVE
					if player.playerstate != PST_LIVE
						player.mo.state = S_PLAY_DEAD
					else
						player.mo.state = S_PLAY_STND
					end
				end
				player.dummiegroovin = false
				if not (player.powers[pw_invulnerability] and not player.powers[pw_super])
				and not (player.powers[pw_sneakers] and not player.powers[pw_super])
					P_RestoreMusic(player)
				end
			else
				if player.mo.state != S_PLAY_GROOVE
					player.mo.state = S_PLAY_GROOVE
					S_StartSound(player.mo, sfx_fadwow)
				end
				player.pflags = $|PF_FULLSTASIS
			end
			if player.powers[pw_carry] == CR_MACESPIN
			or (player.mo.tracer and player.mo.tracer.type == MT_TUBEWAYPOINT)
				player.mo.state = S_PLAY_ROLL
				player.dummiegroovin = false
				if not (player.powers[pw_invulnerability] and not player.powers[pw_super])
				and not (player.powers[pw_sneakers] and not player.powers[pw_super])
					P_RestoreMusic(player)
				end
			end
		elseif P_IsObjectOnGround(player.mo)
		and player.mo.state != S_PLAY_ROLL and not player.mo.state != S_PLAY_SPINDASH and not player.mo.state != S_PLAY_FACEPLANT
		and player.pushingflagdum
		and player.playerstate == PST_LIVE
			player.dummiegroovin = true
			if not (player.powers[pw_invulnerability] and not player.powers[pw_super])
			and not (player.powers[pw_sneakers] and not player.powers[pw_super])
				P_PlayJingleMusic(player, "DUMDNC", nil, true, JT_OTHER)
			end
		end
	else
		if player.dummiegroovin
			if player.mo.state == S_PLAY_GROOVE
				player.mo.state = S_PLAY_STND
			end
			player.dummiegroovin = false
			if not (player.powers[pw_invulnerability] and not player.powers[pw_super])
			and not (player.powers[pw_sneakers] and not player.powers[pw_super])
				P_RestoreMusic(player)
			end
		end
	end
end)