//gone but not forgotten
if not (symbolArts)
    local symbolart_sounds = {
        "SA_NORMAL",
        "SA_JOY",
        "SA_ANGER",
        "SA_SORROW",
        "SA_UNEASE",
        "SA_SURPRISED",
        "SA_DOUBT",
        "SA_HELP",
        "SA_WHISTLE",
        "SA_EMBARRASSMENT",
        "SA_NAILEDIT",
    }
    for k, v in ipairs(symbolart_sounds)
        local index = k
        if (k > 9) then index = (k == 10) and "A" or "B" end
        
        freeslot("sfx_sasfx"..index)
        rawset(_G, v, sfx_sasfx1 + (k-1))
    end
    
    rawset(_G, "symbolArts", {})
end

local SAs = {
    {name = "Dummie's concern", patch = "SA_DCONC", sound = SA_DOUBT},
	{name = "It keeps happenin'", patch = "SA_FRITK", sound = SA_HELP},
	{name = "Frank&Dummie sleeping", patch = "SA_FADZZ", sound = SA_EMBARRASSMENT},
	{name = "Successfully trolled.", patch = "SA_FRTRL", sound = SA_NAILEDIT},
	{name = "what", patch = "SA_FRWHT", sound = SA_DOUBT},
}
for k, v in ipairs(SAs)
    table.insert(symbolArts, v)
    print("Added Symbol Art "..#symbolArts..": "..v.name)
end