freeslot("sfx_frcoun", "sfx_frtaco", "sfx_frough", "S_FRANK_TIRED", "sfx_frslep", "sfx_frac", "sfx_frspn1", "sfx_frhorn", "sfx_frstmp", "sfx_frlaf1", "sfx_frspok", "sfx_fadwow", "sfx_frfall", "sfx_frpit", "S_FRANK_AIRWALK", "S_FRANK_SLEEP", "S_FRANK_STAKETRICK", "sfx_frbonk", "sfx_frastr", "S_FRANK_BOUNCE", "sfx_frbnce", "S_PLAY_HYPERTRNS_1", "sfx_dsqeak")
states[S_FRANK_BOUNCE] = {SPR_PLAY, SPR2_BNCE, 1, nil, 0, 0, S_FRANK_BOUNCE}
states[S_FRANK_SLEEP] = {SPR_PLAY, SPR2_CNT1, 10, nil, 0, 0, S_FRANK_SLEEP}
states[S_FRANK_STAKETRICK] = {SPR_PLAY, SPR2_LAND, 2, nil, 0, 0, S_FRANK_STAKETRICK}
states[S_FRANK_AIRWALK] = {SPR_PLAY, SPR2_PAIN, 1, nil, 0, 0, S_FRANK_AIRWALK}
states[S_FRANK_TIRED] = {SPR_PLAY, SPR2_MLEE|FF_ANIMATE, 80, nil, 19, 4, S_FRANK_SLEEP}
sfxinfo[sfx_frbnce].caption = "Ground Bounce"
sfxinfo[sfx_frastr].caption = "Pain and Suffering"
sfxinfo[sfx_frbonk].caption = "Bonk"
sfxinfo[sfx_frough].caption = "OUGH"
sfxinfo[sfx_frtaco].caption = "Gong"
sfxinfo[sfx_frcoun].caption = "C.S. Punch"
sfxinfo[sfx_dsqeak].caption = "Squeak"
sfxinfo[sfx_frpit].caption = "AAAAAaaaa..."
sfxinfo[sfx_frfall].caption = "AAAAAaaaa..."
sfxinfo[sfx_fadwow].caption = "Wow!"
sfxinfo[sfx_frac].caption = "Equip"
sfxinfo[sfx_frspn1].caption = "SpeEEeEn.."
sfxinfo[sfx_frhorn].caption = "Airhorn"
sfxinfo[sfx_frstmp].caption = "Stamp Earned"
sfxinfo[sfx_frlaf1].caption = "Ha HA!"
sfxinfo[sfx_frspok].caption = "It's the spooky month!"
sfxinfo[sfx_frslep].caption = "Snore"

//mini nuke
local explodelol = function(inflictor, source, radius, pl)
	for mo in mobjs.iterate()
		if not (mo and mo.valid and mo.health)
			continue
		end
		if (pl.powers[pw_super])
			if not (mo.flags & MF_SHOOTABLE) and not (mo.type == MT_EGGGUARD or mo.type == MT_MINUS
			or mo.type == MT_SPIKE or mo.type == MT_WALLSPIKE)
				continue
			end
		end
		if mo.type == MT_PLAYER and not G_RingSlingerGametype()
			continue // Don't hurt players in Co-Op
		end
		if not P_IsObjectOnGround(mo)
			continue
		end
		if abs(inflictor.x - mo.x) > radius or abs(inflictor.y - mo.y) > radius or abs(inflictor.z - mo.z) > radius
			continue 
		end
		if FixedHypot(FixedHypot(inflictor.x - mo.x, inflictor.y - mo.y), inflictor.z - mo.z) > radius
			continue
		end
		if mo.type == MT_MINUS and not (mo.flags & (MF_SPECIAL|MF_SHOOTABLE))
			mo.flags = (mo.flags & ~MF_NOCLIPTHING)|MF_SPECIAL|MF_SHOOTABLE
		end
		if mo.type == MT_EGGGUARD and mo.tracer 
			P_KillMobj(mo.tracer, inflictor, source, DMG_NUKE)
		end
		if (pl.powers[pw_super])
			if mo.type == MT_SPIKE or mo.type == MT_WALLSPIKE
				P_KillMobj(mo, inflictor, source, DMG_NUKE) 
			end
		end
		P_DamageMobj(mo, inflictor, source, 1, DMG_NUKE)
	end
end


//particle junk
local jumpdust = function(inflictor, ns, item)
	local i = 0
	while i < 15
		local fa = (i*(ANGLE_180/8))
		local mo = P_SpawnMobj(inflictor.x, inflictor.y, inflictor.z, item)
		mo.scale = inflictor.scale
		if mo and mo.valid
			mo.momy = FixedMul(cos(fa), ns)
			mo.momx = FixedMul(sin(fa), ns)
		end
		i = $+1
	end
end

//pain & springtwirls
addHook("PlayerThink", function(player)
	if player.mo and player.mo.valid
		if player.painscream == nil
		or (player.mo.eflags & MFE_JUSTHITFLOOR)
			player.painscream = 0
			player.fixtheroll = 0
			player.painroll = 0
			player.twirl_angle = 1
		end
		if player.mo.state == S_PLAY_PAIN
			player.fixtheroll = 0
		end
		
		if player.trickboostcount == nil
			player.trickboostcount = 0
		end
		
		if (player.mo.skin == "frank")
		and player.playerstate == PST_LIVE
			if (P_PlayerInPain(player)) and player.mo.state == S_PLAY_PAIN
				player.painroll = 0
				if player.mo.momz > -25*player.mo.scale
					player.mo.rollangle = $ + FixedAngle(-13*FRACUNIT) 
				elseif player.mo.momz <= -25*player.mo.scale
					player.mo.rollangle = $ + FixedAngle(abs(player.mo.momz)*-1) //FASTER
					if player.painscream == 0
						S_StartSound(player.mo, sfx_frfall)
						player.painscream = 1
					end
				end
			elseif player.mo.state == S_PLAY_PAIN and not(P_PlayerInPain(player))
			or P_IsObjectOnGround(player.mo) and  player.mo.state == S_PLAY_PAIN and not(P_PlayerInPain(player)) and player.powers[pw_invulnerability]
			or player.mo.sprite2 == SPR2_PAIN and not P_IsObjectOnGround(player.mo) and player.mo.state != S_PLAY_PAIN
				player.mo.rollangle = $ + FixedAngle(-45*FRACUNIT + (-player.speed/2)) // (water/wind shit)	
				player.painroll = 1
			end	
			
			if S_SoundPlaying(player.mo, sfx_frfall) and not (P_PlayerInPain(player)) //bro shut up you're good
				S_StopSoundByID(player.mo, sfx_frfall)
			end
			
			//rollangle fixes
			if player.mo.state != S_PLAY_PAIN and P_IsObjectOnGround(player.mo) and player.isxmomentum and player.trickboostcount == 0
				player.mo.rollangle = 0
			end
			if not P_IsObjectOnGround(player.mo) and player.mo.state == S_PLAY_FALL and player.fixtheroll == 0
				player.mo.rollangle = 0
				player.fixtheroll = 1
			end
			if player.mo.state != S_PLAY_PAIN and player.fixtheroll == 0 and player.mo.rollangle != 0
				if player.isxmomentum and player.trickboostcount > 0 return end
				if player.isxmomentum and P_IsObjectOnGround(player.mo) and player.mo.rollangle != 0 return end
				if player.isxmomentum and (player.mo.eflags & MFE_JUSTHITFLOOR) and player.mo.rollangle != 0 return end
				player.mo.rollangle = 0
				player.fixtheroll = 1
			end
			
			//wheee!
			if player.mo.state == S_PLAY_SPRING
				player.twirl_angle = $+ANGLE_22h
				player.drawangle = player.twirl_angle
			end
		end
		
		if (player.mo.skin != "frank")
		and player.painroll == 1
		and player.mo.rollangle != 0
			player.mo.rollangle = 0
			player.painroll = 0
		end
		
		if (player.mo.skin == "frank")
		and player.playerstate == PST_DEAD
		and player.mo.state == S_PLAY_PAIN
			player.mo.rollangle = $ + FixedAngle(abs(player.mo.momz)*-2)
		end
	end
end)

//FlightBurst
addHook("PlayerThink", function(player)
	if player.mo and player.mo.valid
	and (player.mo.skin == "frank")
	and player.playerstate == PST_LIVE	
		if player.jumpnumber == nil 
			player.jumpnumber = 0 
			player.justjumped = 0
			player.jumpcheck = 0
			player.hovrspd = -5
		end
		
		if P_IsObjectOnGround(player.mo) 
		and player.jumpcheck == 0
		or (player.mo.eflags & MFE_JUSTHITFLOOR)
			player.jumpnumber = 0 
		end
		
		//detect jump
		if player.usedown == nil 
		or not (player.cmd.buttons & BT_JUMP)
			player.usedown = 0
			player.justjumped = 0 
		end
		if P_IsObjectOnGround(player.mo) 
		and (player.cmd.buttons & BT_JUMP) 
			player.usedown = 1 
		end
		
		//----------------------------------------------------------------------
		
		if player.pflags & PF_JUMPED 
		and player.usedown == 0 
		and not (player.pflags & PF_THOKKED) 
		and player.cmd.buttons & BT_JUMP 
		and player.jumpcheck == 0 
		and not (player.exiting) 
		and player.mo.health 
		and not (P_PlayerInPain(player)) 
			player.jumpcheck = 1 
		end
				
		//jumping time	
		if not (player.pflags & PF_SPINNING) 
		and not (player.pflags & PF_STARTDASH) 
		and not (tracer and tracer.type == MT_TUBEWAYPOINT) 
		and player.jumpcheck == 1 
		and player.mo.health 
		and not (P_PlayerInPain(player)) 
		or player.jumpcheck == 1
		and not P_IsObjectOnGround(player.mo)
			
			//first jump
			if player.jumpnumber == 0 
				player.justjumped = 1 
				player.jumpnumber = 1
				player.pflags = $1|PF_JUMPED
			end
			
			//second jump
			if player.jumpnumber == 1 
			and player.justjumped == 0 
			and not (P_PlayerInPain(player)) 
			and not (player.mo.eflags & MFE_JUSTHITFLOOR)
			and player.homing == 0
				player.justjumped = 1 
				player.jumpnumber = 2 
				player.pflags = $ & ~PF_JUMPED 
				player.pflags = $ & ~PF_SPINNING
				player.mo.state = S_PLAY_FLY
				S_StartSound(player.mo, sfx_zoom)
				if player.powers[pw_super] //Super stuff
				and not player.hyper
					P_SetObjectMomZ(player.mo, 20*FRACUNIT)
				else // NORMAL burst	
					P_SetObjectMomZ(player.mo, 15*FRACUNIT)
				end
				
				//Xmom BS
				if player.isxmomentum
					if player.powers[pw_super] //Super stuff [NOT HYPER]
					and not player.hyper
						P_SetObjectMomZ(player.mo, (20*FRACUNIT) + (player.speed/12))
					else // NORMAL burst
						P_SetObjectMomZ(player.mo, (15*FRACUNIT) + (player.speed/12))
					end
					if player.hyper and player.hyper.capable and player.powers[pw_super] //Hyper Burst	
						P_SetObjectMomZ(player.mo, (25*FRACUNIT) + (player.speed/12))
					end
				end
				//shields :)
				if (player.powers[pw_shield] & SH_NOSTACK) == SH_WHIRLWIND
					P_SetObjectMomZ(player.mo, 3*FRACUNIT, true)
					S_StartSound(player.mo, sfx_wdjump)
					jumpdust(player.mo, 12*player.mo.scale, MT_DUST)
					jumpdust(player.mo, 16*player.mo.scale, MT_DUST)
				end
				if (player.powers[pw_shield] & SH_NOSTACK) == SH_THUNDERCOIN
					P_SetObjectMomZ(player.mo, 3*FRACUNIT, true)
					S_StartSound(player.mo, sfx_s3k45)
					jumpdust(player.mo, 14*player.mo.scale, MT_SUPERSPARK)
				end
				if player.mo.eflags & MFE_UNDERWATER
					player.mo.momz = $*3/5
					jumpdust(player.mo, 7 << FRACBITS, MT_MEDIUMBUBBLE)
				else
					jumpdust(player.mo, 7*player.mo.scale, MT_DUST)
				end
			end
			
			player.jumpcheck = 0
			player.usedown = 1 	
		end	
		
		if P_IsObjectOnGround(player.mo)
			player.jumpnumber = 0
		end
		
		// helpful frien :)
		if not (P_PlayerInPain(player))
		and not P_IsObjectOnGround(player.mo) 
		and player.mo.state == S_PLAY_FLY
			player.pflags = $1|PF_CANCARRY
		end
		
		//stop helping >:)
		if P_IsObjectOnGround(player.mo) 
		and (player.pflags & PF_CANCARRY)
		or (P_PlayerInPain(player))
		or player.mo.state != S_PLAY_FLY
			player.pflags = $1 & ~PF_CANCARRY
		end
		
		//soudns
		if leveltime % 10 == 0 and player.mo.state == S_PLAY_FLY and player.jumpnumber == 2
			S_StartSound(player.mo, sfx_putput)
		end

		if player.mo.eflags & MFE_UNDERWATER
			player.hovrspd = -3
		else
			player.hovrspd = -5
		end

		//hovering part
		if (player.cmd.buttons & BT_JUMP) 
		and player.jumpnumber == 2
		and player.mo.momz/P_MobjFlip(player.mo) <= (player.hovrspd*player.mo.scale)
		and not (player.pflags & PF_THOKKED) 
		and not (P_PlayerInPain(player))
		and not P_IsObjectOnGround(player.mo)
		and player.mo.momz/P_MobjFlip(player.mo) != (0*FRACUNIT)
			if player.mo.state == S_PLAY_FLY or player.mo.state == S_PLAY_SWIM
				if player.mo.eflags & MFE_UNDERWATER
					P_SetObjectMomZ(player.mo, -3*FRACUNIT)
				else
					P_SetObjectMomZ(player.mo, -5*FRACUNIT)
				end
			end
		elseif not (player.cmd.buttons & BT_JUMP)
		and player.jumpnumber == 2
		and player.mo.momz/P_MobjFlip(player.mo) < (-2*player.mo.scale)
		and not (P_PlayerInPain(player))
		and not P_IsObjectOnGround(player.mo)
		and player.mo.momz/P_MobjFlip(player.mo) != (0*FRACUNIT)
			player.mo.state = S_PLAY_FALL
			player.pflags = $1|PF_THOKKED
		end
		
		//reset jumps if carried
		if player.powers[pw_carry]
		or player.powers[pw_carry] == CR_MACESPIN
			player.jumpcheck = 0 
			player.jumpnumber = 0
		end
		
		//self explanatory
		if not (player.pflags & PF_JUMPED) 
		or (player.mo.eflags & MFE_JUSTHITFLOOR)
			player.jumpcheck = 0 
		end
		
		if (player.mo.eflags & MFE_JUSTHITFLOOR)
		and player.pflags & PF_JUMPED
		or P_IsObjectOnGround(player.mo) and player.pflags & PF_JUMPED
			player.jumpnumber = 1
		end	
		
		if (player.pflags & PF_SPINNING)
		and (player.mo.state == S_PLAY_FLY or player.mo.state == S_FRANK_STAKETRICK)
		or player.mo.state == S_PLAY_SWIM and P_IsObjectOnGround(player.mo) and (player.pflags & PF_SPINNING)
		and player.mo.eflags & MFE_UNDERWATER
			S_StartSound(player.mo, sfx_spin)
			player.mo.state = S_PLAY_ROLL
		end
	end
end)

//'Le Ground Bounce
addHook("PlayerThink", function(player)
	if player.bot == 1 return end
	if srb2p return end
	
	if player.mo and player.mo.valid
	and (player.mo.skin == "frank")
	and player.playerstate == PST_LIVE	
		if player.bounceattack == nil 
			player.bounceattack = 0 
		end
		
		if player.mo.state == S_FRANK_BOUNCE
			if (player.mo.eflags & MFE_VERTICALFLIP)
			and player.mo.momz >= 0
				player.mo.state = S_PLAY_FALL
			end
			
			if not (player.mo.eflags & MFE_VERTICALFLIP)
			and player.mo.momz <= 0
				player.mo.state = S_PLAY_FALL
			end
		end
		
		if player.bouncenumber == nil 
			player.bouncenumber = 0 
			player.justchangedbouncenumber = 0 
		end
		if P_IsObjectOnGround(player.mo) 
		and player.bounceattack == 0 
			player.justattract = 0
			player.bouncenumber = 0
		end
		if player.spindown == nil 
		or not (player.cmd.buttons & BT_SPIN)
		or (player.powers[pw_shield] & SH_NOSTACK) == SH_ATTRACT and player.pflags & PF_SHIELDABILITY and not (player.cmd.buttons & BT_SPIN)
			player.spindown = 0 
			player.justchangedbouncenumber = 0 
		end
		if P_IsObjectOnGround(player.mo) 
		and (player.cmd.buttons & BT_SPIN) 
			player.spindown = 1 
		end
		if player.trulyspedbnce == nil
		or not (P_IsObjectOnGround(player.mo)) //measure momz
			player.trulyspedbnce = 0
		end
		
		if (player.mo.state == S_PLAY_SUPER_TRANS1) or (player.mo.state == S_PLAY_HYPERTRNS_1)
			player.bounceattack = 0
			player.pflags = $1|PF_THOKKED
			player.pflags = $1 & ~PF_JUMPED
		end
		
		if player.pflags & PF_JUMPED 
		and player.spindown == 0 
		and not (player.pflags & PF_THOKKED) 
		and not (P_IsObjectOnGround(player.mo)) 
		and player.cmd.buttons & BT_SPIN 
		and player.bouncenumber != 2
		and player.bounceattack == 0 
		and not (player.exiting) 
		and player.mo.health 
		and not (P_PlayerInPain(player)) 
		and player.bouncenumber == 0
		and player.powers[pw_carry] != CR_MACESPIN
		and not player.powers[pw_carry]
		and not ((player.powers[pw_shield] & SH_NOSTACK) == SH_ATTRACT and player.pflags & PF_SHIELDABILITY)
			player.pflags = $1|PF_THOKKED
			player.bounceattack = 1 
			if (player.mo.momz <= -2*FRACUNIT) //use it while falling at a certain speed
				P_SetObjectMomZ(player.mo, -20*FRACUNIT, true)
			else //use it while going up
				if (player.powers[pw_super])
					P_SetObjectMomZ(player.mo, -30*FRACUNIT)
				else 
					P_SetObjectMomZ(player.mo, -20*FRACUNIT)
				end
			end
			//shield boosts
			if (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL
			or (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
				P_SetObjectMomZ(player.mo, -5*FRACUNIT, true)
				player.pflags = $1|PF_SHIELDABILITY
				if (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
					S_StartSound(player.mo, sfx_s3k44)
				end
			elseif (player.powers[pw_shield] & SH_FORCE)
				S_StartSound(mo, sfx_ngskid)
				player.pflags = $1|PF_SHIELDABILITY
				player.mo.momx = $*1/2
				player.mo.momy = $*1/2
			end
			//attract
			local attraclook = P_LookForEnemies(player, false, false)
			player.mo.target = attraclook
			player.mo.tracer = attraclook
			if (player.powers[pw_shield] & SH_NOSTACK) == SH_ATTRACT and attraclook and attraclook.valid and player.spindown == 0 and not (player.mo.eflags & MFE_SPRUNG)
				player.mo.angle = R_PointToAngle2(player.mo.x, player.mo.y, attraclook.x, attraclook.y)
				player.homing = 2*TICRATE
				player.pflags = $1|PF_SHIELDABILITY
				S_StartSound(player.mo, sfx_s3k40)
				player.mo.state = S_PLAY_ROLL
				player.bounceattack = 0
				player.spindown = 1
				player.justattract = 1
			end
			S_StartSound(player.mo, sfx_cdfm62)
		end	
		//attracts jump
		if player.justattract == 1
		and player.mo.momz > 0
		and player.homing == 0
			P_SetObjectMomZ(player.mo, 8*FRACUNIT, true)
			player.speed = player.speed * 4/5
			player.mo.state = S_PLAY_SPRING
			S_StartSound(player.mo, sfx_s3k45)
			jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
			explodelol(player.mo, player.mo, 130*player.mo.scale, player)
			player.justattract = 0
			player.pflags = $1 & ~PF_JUMPED
			player.pflags = $1 & ~PF_THOKKED
		end
		
		if player.bounceattack == 1
			if (player.mo.momz >= -30*FRACUNIT)
				player.trulyspedbnce = 1
			elseif (player.mo.momz < -30*FRACUNIT)
				player.trulyspedbnce = 0
			end
		
			player.pflags = $1|PF_JUMPSTASIS
		
			//trails
			local divetrail = P_SpawnGhostMobj(player.mo)
			divetrail.color = player.mo.color
			divetrail.colorized = true
			divetrail.fuse = 7
			divetrail.blendmode = AST_ADD
			if not (P_IsObjectOnGround(player.mo))
				P_SpawnGhostMobj(divetrail)
			end
			
			//sproing
			if player.mo.eflags & MFE_SPRUNG
				player.bouncenumber = 0
				player.mo.momz = $*5/4
				player.mo.momx = $*5/4
				player.mo.momy = $*5/4
				S_StartSound(player.mo, sfx_sprong)
				player.bounceattack = 0
				if not (player.mo.eflags & MFE_JUSTHITFLOOR)
					player.pflags = $1|PF_THOKKED
				end
			end
			
			//break da groudn
			local sectorthing = P_PlayerTouchingSectorSpecial(player, 0, 0)
			if sectorthing.valid then
				for fof in sectorthing.ffloors()
					if fof.valid and (fof.flags & FF_BUSTUP) and (fof.flags & FF_EXISTS)
					and not (player.mo.tracer and player.mo.tracer.type == MT_TUBEWAYPOINT)
					and not player.powers[pw_carry]
					and (abs(fof.topheight - player.mo.z) <= 30*player.mo.scale) then
						EV_CrumbleChain(player.sectorthing, fof)
					end
				end
			end
			
			if player.mo.momz > 0  and not (player.mo.eflags & MFE_VERTICALFLIP) and not (player.mo.eflags & MFE_SPRUNG) and player.mo.state == S_PLAY_JUMP and (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL
			or player.mo.momz < 0  and (player.mo.eflags & MFE_VERTICALFLIP) and not (player.mo.eflags & MFE_SPRUNG) and player.mo.state == S_PLAY_JUMP and (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL
				player.mo.momz = $ * -1
			end
			
			//enemy bounce
			if player.mo.momz > 0  and not (player.mo.eflags & MFE_VERTICALFLIP) and not (player.mo.eflags & MFE_SPRUNG) and player.mo.state == S_PLAY_JUMP and (player.powers[pw_shield] & SH_NOSTACK) != SH_ELEMENTAL
			or player.mo.momz < 0  and (player.mo.eflags & MFE_VERTICALFLIP) and not (player.mo.eflags & MFE_SPRUNG) and player.mo.state == S_PLAY_JUMP and (player.powers[pw_shield] & SH_NOSTACK) != SH_ELEMENTAL
				player.pflags = $1 & ~PF_JUMPED
				player.pflags = $1 & ~PF_THOKKED
				player.spindown = 1 
				player.mo.state = S_FRANK_BOUNCE
				player.bounceattack = 0
				if (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
					P_SetObjectMomZ(player.mo, -5*FRACUNIT, true) //take away the faster dive
				end
				if player.trulyspedbnce == 1
					player.mo.momz = $*3/5
				end
				//dust
				if player.mo.eflags & MFE_UNDERWATER
					player.mo.momz = $*3/5
					jumpdust(player.mo, 7 << FRACBITS, MT_MEDIUMBUBBLE)
					if (player.powers[pw_super])
						jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
					end
				else
					if (player.powers[pw_super])
						jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
					else
						jumpdust(player.mo, 12*player.mo.scale, MT_DUST)
					end
				end
			end
		end
		if (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP //damn it bubble >:(
		and not (player.pflags & PF_SHIELDABILITY)
		and player.mo.state == S_PLAY_ROLL
		and not (player.pflags & PF_SPINNING)
			player.mo.state = S_FRANK_BOUNCE
			player.mo.momz = $*4/6
			if player.mo.eflags & MFE_UNDERWATER
				player.mo.momz = $*3/5
				jumpdust(player.mo, 7 << FRACBITS, MT_MEDIUMBUBBLE)
				if (player.powers[pw_super])
					jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
				end
			else
				if (player.powers[pw_super])
					jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
				else
					jumpdust(player.mo, 12*player.mo.scale, MT_DUST)
				end
			end
		end
		
		//landing
		if (player.mo.eflags & MFE_JUSTHITFLOOR) 
		and not (player.pflags & PF_SPINNING) 
		and not (player.pflags & PF_STARTDASH) 
		and not (player.mo.tracer and player.mo.tracer.type == MT_TUBEWAYPOINT) 
		and player.bounceattack == 1 
		and player.mo.health 
		and not (P_PlayerInPain(player)) 
		and not ((player.mo.eflags & MFE_SPRUNG) and (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL)
			if player.bouncenumber == 0 
			and player.justchangedbouncenumber == 0 
			and not (P_PlayerInPain(player)) 
				player.justchangedbouncenumber = 1 
				player.bouncenumber = 1 
				player.pflags = $ & ~PF_JUMPED 
				player.pflags = $ & ~PF_SPINNING
				player.pflags = $1|PF_THOKKED
				player.jumpnumber = 3
				player.mo.state = S_FRANK_BOUNCE
				// rising time
				if (player.powers[pw_super])
					P_SetObjectMomZ(player.mo, 16*FRACUNIT)
					explodelol(player.mo, player.mo, 180*player.mo.scale, player)
					S_StartSound(player.mo, sfx_s3k96)
					P_StartQuake(20*FRACUNIT, 5)
				else 
					P_SetObjectMomZ(player.mo, 12*FRACUNIT)
					explodelol(player.mo, player.mo, 100*player.mo.scale, player)
				end
				if player.hyper and player.hyper.capable and player.powers[pw_super]
					P_SetObjectMomZ(player.mo, 19*FRACUNIT)
					explodelol(player.mo, player.mo, 250*player.mo.scale, player)
					S_StartSound(player.mo, sfx_s3k96)
				end
				S_StartSound(player.mo, sfx_frbnce)
					
				if player.mo.eflags & MFE_UNDERWATER //water nerfing
					player.mo.momz = $*3/5
				end
				
				//dust
				if player.mo.eflags & MFE_UNDERWATER
					jumpdust(player.mo, 7 << FRACBITS, MT_MEDIUMBUBBLE)
					if (player.powers[pw_super])
						jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
					end
				else
					if (player.powers[pw_super])
						jumpdust(player.mo, 15*player.mo.scale, MT_SUPERSPARK)
					else
						jumpdust(player.mo, 12*player.mo.scale, MT_DUST)
					end
				end
				
				//shieldz
				if not (player.mo.eflags & MFE_SPRUNG)
					if (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL // slam down and drop fire; no enemy bouncing
						P_ElementalFire(player, true)
						S_StartSound(player.mo, sfx_s3k4c)
						P_StartQuake(20*FRACUNIT, 5)
						S_StartSound(player.mo, sfx_s3k96)
					elseif (player.powers[pw_shield] & SH_NOSTACK) == SH_ARMAGEDDON //nuke when land
						P_NukeEnemies(player.mo, player.mo, 800*player.mo.scale)
						P_FlashPal(player, PAL_NUKE, 10)
						player.powers[pw_shield] = SH_NONE
						S_StartSound(player.mo, sfx_bkpoof)
						P_StartQuake(20*FRACUNIT, 5)
					elseif (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
						P_SetObjectMomZ(player.mo, 3*FRACUNIT, true)
					elseif (player.powers[pw_shield] & SH_NOSTACK) == SH_FLAMEAURA //gain speed after the bounce
						P_InstaThrust(player.mo, player.mo.angle, player.speed + (player.speed/3)) 
						if player.speed > 0
							player.pflags = $1|PF_SHIELDABILITY
							S_StartSound(player.mo, sfx_s3k43)
						end
					end
				end
			end
			player.bounceattack = 0 
			player.spindown = 1 
			player.pflags = $1 & ~PF_THOKKED
		end
		
		//some quick checks
		if player.bounceattack == 1 
		and player.mo.health 
		and not (P_PlayerInPain(player)) 
			player.charability = CA_NONE //do nothing
		else 
			player.bounceattack = 0 
		end
		if player.bounceattack == 1 
			player.pflags = $1 & ~PF_SPINNING 
		end
		if player.mo.eflags & MFE_GOOWATER 
		or player.powers[pw_carry] 
			player.bounceattack = 0 
		end

		if player.powers[pw_carry] == CR_ROLLOUT
		and(player.mo.eflags & MFE_JUSTHITFLOOR)
			if player.bouncenumber > 0
				player.bouncenumber = 0
				player.bounceattack = 0
				player.pflags = $1 & ~PF_JUMPED
				player.pflags = $1 & ~PF_SPINNING
				player.mo.state = S_PLAY_STND
			end
		end
		if player.powers[pw_carry] == CR_ROLLOUT //stop rolling on it
		and player.mo.state == S_PLAY_ROLL
			player.mo.state = S_PLAY_STND
		end
		if not (player.pflags & PF_JUMPED) 
			player.bounceattack = 0 
		end
		if (player.mo.eflags & MFE_JUSTHITFLOOR) //let me bounce >:(
		and player.cmd.buttons & BT_JUMP
			player.bouncenumber = 0
		end
		
		if (player.mo.eflags & MFE_JUSTHITFLOOR) //you too
		and player.pflags & PF_JUMPED
		or P_IsObjectOnGround(player.mo) and player.pflags & PF_JUMPED
			player.bouncenumber = 0
		end
		
		//dont use these before you land
		if (player.powers[pw_shield] & SH_NOSTACK) == SH_ELEMENTAL
		or (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
		and player.pflags & PF_SHIELDABILITY
			local floor = P_FloorzAtPos(player.mo.x, player.mo.y, player.mo.z, player.mo.height)
			local z = player.mo.z
			if (player.mo.eflags&MFE_VERTICALFLIP)
				z = player.mo.z+player.mo.height
				if player.mo.ceilingz == floor
					floor = player.mo.floorz
				else
					floor = player.mo.ceilingz
				end
			end
			if abs(z-floor) <= abs(player.mo.momz)
				if (player.powers[pw_shield] & SH_NOSTACK) == SH_BUBBLEWRAP
				and player.mo.state == S_PLAY_ROLL
				and player.bouncenumber == 1
					player.mo.state = S_FRANK_BOUNCE
				end
				player.pflags = $ & ~PF_SHIELDABILITY
			end
		end
	end
end, MT_PLAYER)

//sleep times
addHook("ShouldJingleContinue", function(player, musname)
	if true return end
	if musname != "FSLEEP"  return end
	if player.mo.skin != "frank" return end
	if player.pirhanaplantmusic == false return end
	if player and player.mo and player.mo.skin == "frank" and player.mo.state == S_FRANK_SLEEP
		return true
	else
		return false
	end
end)

addHook("PlayerThink", function(player)
	if srb2p return end
	if player.mo and player.mo.valid and player.mo.skin == "frank"	
		if player.waittimers == nil
			player.waittimers = 0
			player.sleepmusic = 0
			player.confirmsleep = 0
			player.slepsfx = 0
		end
		
		if player.mo.state == S_PLAY_WAIT //countdown
			player.waittimers = $ + 1
		end
		
		
		if player.waittimers == 2000 // Exactly a minute lol
			player.waittimers = 2001
			player.mo.state = S_FRANK_TIRED
			player.sleepmusic = 1
			player.confirmsleep = 1
		end
		
		if player.sleepmusic == 1 // cue song
		and player.mo.state == S_FRANK_SLEEP
			if player.pirhanaplantmusic == true
				P_PlayJingleMusic(player, "FSLEEP", nil, true, JT_OTHER)
			end
			player.sleepmusic = 0
			player.slepsfx = 1
		end
		
		//snore
		if player.mo.state == S_FRANK_SLEEP
		and not S_SoundPlaying(player.mo, sfx_frslep)
			S_StartSound(player.mo, sfx_frslep)
		end
		if S_SoundPlaying(player.mo, sfx_frslep) and player.mo.sprite2 != SPR2_CNT1
			S_StopSoundByID(player.mo, sfx_frslep)
		end
		
		//Wake up
		if player.mo.state != S_PLAY_WAIT
		or player.frankgroovin
		or player.mo.sprite2 == SPR2_FROZ
		or (player.mo.state == S_PLAY_FRCHAIR1 or player.mo.state == S_PLAY_FRCHAIR2 or player.mo.state == S_PLAY_CLUBPENG2 or player.mo.state == S_FRANK_TPOSE or player.mo.state == S_PLAY_JEVIL or player.mo.state == S_PLAY_DSPIN or player.mo.state == S_PLAY_CLUBPENG or player.mo.state == S_PLAY_HDANCE or player.mo.state == S_PLAY_DHELP or player.mo.state == S_PLAY_SPOOKDANCE)
			player.waittimers = 0
		end

		if player.speed > 0  //walkd
		and (player.mo.state == S_FRANK_SLEEP or player.mo.state == S_FRANK_TIRED)
			player.waittimers = 0
			P_RestoreMusic(player)
			player.mo.state = S_PLAY_WALK
		end

		if (player.mo.state == S_PLAY_ROLL or player.mo.state == S_PLAY_SPINDASH or player.mo.state == S_PLAY_JUMP or player.mo.state == S_PLAY_PAIN or player.mo.state == S_PLAY_FALL)
		and player.confirmsleep == 1
			player.waittimers = 0
			P_RestoreMusic(player)
			player.confirmsleep = 0
		end
	end
	
	if player.mo and player.mo.valid
	and player.mo.skin != "frank" //imagine not sleeping
	and player.confirmsleep == 1
		P_RestoreMusic(player) 
		player.waittimers = 0
		player.mo.state = S_PLAY_STND
		player.confirmsleep = 0
	end
end)

addHook("PlayerSpawn", function(player)
	if player.waittimers == 2001
		P_RestoreMusic(player)
	end
	player.waittimers = 0
end)

//screw battlemode
local BattleFuncSet = false

addHook("ThinkFrame",function()
	if (BattleFuncSet) or not(CBW_Battle and CBW_Battle.SkinVars) then return end
	BattleFuncSet = true
	
	CBW_Battle.SkinVars["frank"] = {
 		weight = 125,
 		shields = 1,
		special = CBW_Battle.Action.DodgeRoll,
 		guard_frame = 1,
 		func_guard_trigger = CBW_Battle.GuardFunc.Parry,
 		func_priority = CBW_Battle.Priority_FullCommon
	}
end)